<template>
    <div id="divconversacion">
            <center><a href="#" @click.prevent="preMoreMessages">Obtener más mensajes</a></center>
            <div v-for="message in chat.messages" :class="message.receiver_user_id != chat.receiver ? 'mc-item right clearfix' : 'mc-item left clearfix'">
                <div  v-if=" message.receiver_user_id == chat.receiver " class="avatar box-48">
                    
                    <img class="b-a-radius-circle" :src="message.user.path_profile_image" alt="">

                </div>
                <div class="mc-content">
                    <span v-html="message.body"></span>
                    <div :class="message.receiver_user_id == chat.receiver ? 'font-90 text-xs-left text-muted' : 'font-90 text-xs-right text-muted'">
                            {{ message.created_at.date | moment("from")  }}
                            <template v-if="message.detail">
                                <span>
                                    por {{ (message.emitter_user_id == chat.auth)? 'ti' : message.user.name }}
                                </span>
                            </template>
                    </div>
                </div>   
           </div>
    </div>
    
</template>

<script>
    import { mapGetters, mapActions  } from 'vuex'
    export default {
        computed: {         
            ...mapGetters([
              'chat', 'chats'
            ]),
            chatLoaded() {
                return this.chat.name !=''
            },
        },
        methods: {
            ...mapActions([    
                 'changeCurrentChat',          
            ]), 
            preMoreMessages(){
                let  position = 0;
                this.chats.forEach((element,index) =>{
                    if( this.chat.id == element.assignmentTeacher ){
                        position = index
                    }
                });

                this.chats[position]['index'] += 1;
                this.chats[position]['scroll'] = 'init';
                this.changeCurrentChat(this.chats[position]);

            },
        },
        mounted(){            
            const moment =  require('moment');
                require('moment/locale/es');

        }
    }  
</script>